<script setup>
import { ref } from "vue";

const todo_text = ref("");

function send(event) {
  console.log(todo_text.value);
  todo_text.value = ""
}
</script>

<template>
  <header>
    <img
      alt="Vue logo"
      class="logo"
      src="./assets/logo.svg"
      width="64"
      height="64"
    />
    <h1>WAB serverless</h1>
  </header>

  <main>
    <form @submit.prevent="send">
      <label for="new_todo">Add todo: </label>
      <input id="new_todo" type="text" v-model="todo_text" />
      <button type="submit">Přidat</button>
    </form>
  </main>
</template>

<style scoped></style>
